Hand results

### Hierarchy

- HandResult

## Index

### Properties

- annotations
- box
- boxRaw
- boxScore
- fingerScore
- id
- keypoints
- label
- landmarks
- score

## Properties

### annotations

annotations: Record<"index" | "middle" | "pinky" | "ring" | "thumb" | "palm", Point[]>

- Defined in src/result.ts:112

detected hand keypoints combined into annotated parts

### box

box: Box

- Defined in src/result.ts:104

detected hand box

### boxRaw

boxRaw: Box

- Defined in src/result.ts:106

detected hand box normalized to 0..1

### boxScore

boxScore: number

- Defined in src/result.ts:100

hand detection score

### fingerScore

fingerScore: number

- Defined in src/result.ts:102

hand skelton score

### id

id: number

- Defined in src/result.ts:96

hand id

### keypoints

keypoints: Point[]

- Defined in src/result.ts:108

detected hand keypoints

### label

label: string

- Defined in src/result.ts:110

detected hand class

### landmarks

landmarks: Record<"index" | "middle" | "pinky" | "ring" | "thumb", { curl: "none" | "full" | "half"; direction: "verticalUp" | "verticalDown" | "horizontalLeft" | "horizontalRight" | "diagonalUpRight" | "diagonalUpLeft" | "diagonalDownRight" | "diagonalDownLeft" }>

- Defined in src/result.ts:117

detected hand parts annotated with part gestures

### score

score: number

- Defined in src/result.ts:98

hand overal score